#include <Arduino.h>
#include "BarriereAuto.h"

BarriereAuto::BarriereAuto(int AIA, int AIB){
	this->m_AIA=AIA;
	this->m_AIB=AIB;
	
	pinMode(this->m_AIA,OUTPUT);
	pinMode(this->m_AIB,OUTPUT);
}
	

void BarriereAuto::CommandeMoteur(int sensMoteur){
	switch (sensMoteur)
	{
		case Ouverture:
			digitalWrite(this->m_AIA,0);
			digitalWrite(this->m_AIB,1);
			break;
		case Fermeture:
			digitalWrite(this->m_AIA,1);
			digitalWrite(this->m_AIB,0);
			break;
		case Arret:
			digitalWrite(this->m_AIA,0);
			digitalWrite(this->m_AIB,0);
			break;
			
	}
}